<?php

namespace CelerSearch\DataTransfer\IndexResponses;

use CelerSearch\Abstracts\IndexResponse;

class ValueResponse extends IndexResponse {

	/**
	 * The value
	 * @var mixed
	 */
	public mixed $value;

	/**
	 * Set the value
	 *
	 * @param mixed $value
	 *
	 * @return void
	 */
	public function set_value( mixed $value ): void {
		$this->value = $value;
	}

	/**
	 * Returns the value
	 * @return mixed
	 */
	public function get_value(): mixed {
		return $this->value;
	}

	/**
	 * Is error response?
	 * @return bool
	 */
	public function is_error_response(): bool {
		return false;
	}

}